AMQP-DECLARE-QUEUE(1)

NAME
amqp-declare-queue - Declare (create or assert the existence of) a queue on an AMQP server

SYNOPSIS

amqp-declare-queue [OPTION...] [-d] {-q queue name}

DESCRIPTION

amqp-declare-queue attempts to create a queue on an AMQP server, and exits. If the empty-string is supplied as the queue name, a fresh queue name is generated by the server and returned. In all cases, if a queue was successfully declared, the (raw binary) name of the queue is printed to standard output, followed by a newline.

OPTIONS

-q, --queue=queue name
    The name of the queue to declare. If the empty string is supplied, a fresh queue name is generated by the server.

-d, --durable
    Causes the queue to be declared with the "durable" flag set. Durable queues survive server restarts. By default, queues are declared in "transient" mode.

EXIT STATUS

If the queue was successfully declared, the exit status is 0. If an error occurs, the exit status is 1.

EXAMPLES

Declare the durable queue “myqueue”, and display the name of the queue on standard output:

        $ amqp-declare-queue -d -q myqueue
        myqueue

Declare a fresh, server-named transient queue, and display the name of the queue on standard output (use amqp-delete-queue(1) to delete it from the server once you're done):

        $ amqp-declare-queue -q ""
        amq.gen-BW/wvociA8g6LFpb1PlqOA==

SEE ALSO

librabbitmq-tools(7) describes connection-related options common to all the RabbitMQ C Client tools.

AUTHOR

The RabbitMQ Team <<info@rabbitmq.com>>